<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Helper to post data</title>
            
<script type="text/javascript" 
    src="../../dojo.js">
</script>
<script language="JavaScript" type="text/javascript">
	dojo.require("dojo.widget.FilteringTable");
	dojo.require("dojo.widget.Form");
	dojo.require("dojo.widget.ComboBox");
	dojo.require("dojo.io.*");
	dojo.require("dojo.json");

	function log(message) {
    	var logNode = dojo.byId("logPane");
		logNode.appendChild(document.createTextNode(message));
	}
	function sendData() {
		var dataForm = dojo.widget.byId("dataForm");
		var values = dataForm.getValues();
		dojo.io.bind({
			url: values['url'],
			postContent: values['postdata'],
			method: values['method'],
			sync: false,
			mimetype: 'text/json',
			contentType: values['content_type'],
			handle: function(type, data, http, kwargs) {
			    var responseHeaderNode = dojo.byId("responseHeader");
			    responseHeaderNode.appendChild(document.createTextNode(http));
			    var responseDataNode = dojo.byId("responseData");
			    responseDataNode.appendChild(document.createTextNode(data));
				switch(type) {
					case 'load':
						log("Got load from iobind");
						break;
					case 'error':
						log("Got Error from iobind");
						break;
				}
			},
		});
	}
</script>
</head>
<body>

<!-- form for creating an employee -->
<div id="dataformholder" style="display:none">
<form dojoType="form" id="dataForm" name="dataForm">
	<br/><br/>
	<table border=2> 
		<tr><th align="left">Property</th><th align="left">Value</th></tr> 
		<tr><td>URL</td><td><input type="text" name="url"  /></td></tr> 
		<tr><td>Method</td><td><input type="text" name="method"  /></td></tr> 
		<tr><td>Content-Type</td><td><input type="text" name="content_type" /></td></tr>
		<tr><td>Data to be Posted</td><td><input type="text" name="postdata" /></td></tr>
	</table><br /> 
	<input type="button" onClick="sendData();" value="Submit" /> 
</form>
</div>


<div dojoType="ContentPane" id="responseHeader"  style="overflow:auto;">
</div>

<div dojoType="ContentPane" id="responseData"  style="overflow:auto;">
</div>

<div dojoType="ContentPane" id="logPane"  style="overflow:auto;">
</div>


</body>
</html>